What devices does the PLM Connect work with?

PLM Connect is designed for use with your iPhone or iPod Touch. It requires iOS 8 or above (supported on the iPhone 4S, 5, 5C, 5S, 6, 6+ as well as the iPod Touch 5th Generation). You can install iOS 8 by going to the Settings icon on your phone, selecting General, then Software Update.

Powered by Zendesk